Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.opentrac
Class OpenTracParser

    java.lang.Object
      org.ka2ddo.opentrac.OpenTracParser

All Implemented Interfaces:
  AX25Parser

    public class OpenTracParser

extends java.lang.Object
implements AX25Parser

Constructor Summary
`OpenTracParser()`

Method Summary
`static OpenTracParser` | `getInstance()`
`AX25Message` | `parse(byte[] body, AX25Callsign src, AX25Callsign dest, long rcvTimestamp, Connector connector)` Parse a message to the appropriate object class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenTracParser

    public OpenTracParser()

Method Detail

### getInstance

    public static OpenTracParser getInstance()

### parse

    public AX25Message parse(byte[] body,
                             AX25Callsign src,
                             AX25Callsign dest,
                             long rcvTimestamp,
                             Connector connector)

  Parse a message to the appropriate object class.

  Specified by:
    `parse` in interface `AX25Parser`
  Parameters:
    `body` - byte array containing the message to be parsed
    `src` - AX25Callsign of the sending station
    `dest` - AX25Callsign of the destination (probably an APRS alias)
    `rcvTimestamp` - the time in Java/Unix milliseconds since midnight Jan 1, 1970 UTC when this message was actually received (as opposed to any timestamp that might be embedded in the message body)
    `connector` - Connector over which the message was received (null if from a file)
  Returns:
    the decoded AX25Message (if not decipherable, a DefaultMessage is returned)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD